Skip to main content
`Ctrl`+`K`

# PetscFreeArguments

Frees the memory obtained with `PetscGetArguments()`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFreeArguments(char **args)

Not Collective, No Fortran Support

## Output Parameter

- args - the command line arguments

## Developer Note

This should be PetscRestoreArguments()

## See Also

`PetscFinalize()`, `PetscInitializeFortran()`, `PetscGetArgs()`, `PetscGetArguments()`

## Level

intermediate

## Location

src/sys/objects/pinit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages